if flags.plyusch then
  for i=1,flags.plyusch do
    speciale_action(2,i)
  end
  if flags.plyusch == 3 then
    set_visible_object(9,true)
  end
end

local a1 = 150
local a2 = 300
local cut = nil
local scissors = 
{
  {[4]={418,192},   [5]={418,192},   [6]={428,174},   [7]={429,174}};
  {[4]={418+a1,192},[5]={418+a1,192},[6]={418+a1,192},[7]={418+a1,192}};
  {[4]={418+a2,192},[5]={418+a2,192},[6]={418+a2,192},[7]={418+a2,192}};
}

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "nozhnicy_3_10") then
    return
  end
  if sender==1 then
    if obj_id >= 1 and obj_id <= 3 then
      if obj.nozhnicy_3_10 and attachedID == obj.nozhnicy_3_10.id then
        -- speciale_action(2,obj_id,true,0.5)
        cut = obj_id
        playeffect("scissors")
        for i=4,7 do
          SetObjectPosition(i,scissors[obj_id][i][1],scissors[obj_id][i][2])
        end
        Block_Show_Cur(true)
        speciale_action(2,6,true,0.5)
        StartTimer(timerID,0.6,"frame2")
        if not flags.plyusch then
          flags.plyusch = 1
        else
          flags.plyusch = flags.plyusch + 1
        end
        if flags.plyusch == 3 then
          if not Journal.pages[4] then
            Journal:addText(4,"9004",575,131,330)
            Journal:addPicture(4,"page4",554,225,0,0,349,342);
            Journal:addPicture(4,"page4",128,44,349,0,391,492);
          end
          flags.videlLyvov = true
          neighbors.Wall.lock=true;
          removeFromMouse()
          UnStoreObj(obj.nozhnicy_3_10.id)
          set_visible_object(9,true)
        end
      else
        CreatePlashechka("605")
      end
    end
    if obj_id == 9 then
      CreatePlashechka("607")
    end
  end
end

-- function frame1()
  -- speciale_action(2,6,true,0.4)
  -- speciale_action(2,7,true,0.4)
  -- StartTimer(timerID,0.4,"frame2")
-- end

function frame2()
  speciale_action(2,5,true,0.5)
  speciale_action(2,6,true,0.5)
  StartTimer(timerID,0.5,"frame3")
end

function frame3()
  speciale_action(2,4,true,0.5)
  speciale_action(2,5,true,0.5)
  speciale_action(2,cut,true,0.5)
  cut = nil
  StartTimer(timerID,0.5,"frame4")
end

function frame4()
  speciale_action(2,4,true,0.5)
  StartTimer(timerID,0.6,"unBlock_Show_Cur")
end